MAILSOUND(1)

NAME
mailsound - play sounds when mail is received

SYNOPSIS
mailsound [-hszZvrd] soundname ...

DESCRIPTION
mailsound allows a user to play sounds when new mail arrives. It reads a mail message from stdin and uses Mark Boyns' rplay library to play sounds. The sound that is played is determined by a configuration file in the user's home directory called .mailsounds. Each line in this file has two parts. The first part is a regular expression which will be used to match the from address from a mail message. The second part describes what to do when a match is found. The options in the second part are identical to the options on the command line. The command line options will set defaults which will be used if they are not specified in the configuration file.
If not specified, the mailsound program will use the following defaults:

    default sound:    youvegotmail.au
    default volume:    127 (50%)

If the mail address does not match any of the regular expressions in the .mailsounds file, no sound will be played.

OPTIONS

-h hostname:[hostname...]
    Play sounds on all of these hosts.

-z <minsize>:<minvolume>,<maxsize>:<maxvolume>
    The volume the sound will be played at will be determined by the size of the mail message. The sound for a message with a size smaller than <minsize> will be played at volume <minvolume>. The sound for a message with a size larger than <maxsize> will be played at volume <maxvolume>. The sound for a message with a size between <minsize> and <maxsize> will be played at a volume which is a linear interpolation between <minvolume> and <maxvolume>.

-Z <minsize>,<maxsize>
    The sound to be played is determined by the size of the mail message. If the message is smaller than <minsize>, the first listed sound is played. If the message is larger than <maxsize>, the last listed sound is played. If the message size is between those two values, the appropriate sound from the list is played.

-s <subject re>
    The regular expression supplied will have to match the subject of the message. If this option is not there, the subject of the message is completely ignored. Be careful that the regular expression does not contain spaces. Due to laziness of the author of this program, this will hopelessly confuse the program.

-v <int>
    Set the volume at which the sound should be played. The range is 0-255.

-r  Pick a sound at random from the list of sounds provided.

-d  Turn on debugging. This will produce diagnostic output to stdout.

EXAMPLE

The following could appear in the .forward file in your home directory: (This assumes that your username is pickard)

    \pickard, |"/usr/local/bin/mailsound"

Here is a sample $HOME/.mailsounds file:

    Andrew.*	-r Passing_Train riot arrp flinstones
    root.*		out!
    daemon.*	-v 220 sci_fi_fun
    MAILER.*	-S 1000,10000 cuckoo pig  Oomph
    *.		pigs

FILES
$HOME/.mailsounds

SEE ALSO
rplay.conf(5), rplayd(1)

AUTHOR
This program was written by Andrew Scherpbier at San Diego State University. He can be reached by E-mail as follows:

    Andrew@SDSU.Edu

The mailsound program makes use of Mark Boyns' rplay package which can play multiple sounds on remote machines.
He can be reached by E-mail as follows:

    boyns@sdsu.edu

BUGS
The code does very little error checking. No range checking on any of the values is done.